Package org.gradle.api.launcher.cli

## Class WelcomeMessageConfiguration

- java.lang.Object
- - org.gradle.api.launcher.cli.WelcomeMessageConfiguration

- All Implemented Interfaces:
    `java.io.Serializable`

      @Incubating
      public class WelcomeMessageConfiguration
      extends java.lang.Object
      implements java.io.Serializable

  Configures when to display the welcome message on the command line.
  Since:
    7.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WelcomeMessageConfiguration​(WelcomeMessageDisplayMode welcomeMessageDisplayMode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WelcomeMessageDisplayMode` | `getWelcomeMessageDisplayMode()` |
    `void` | `setWelcomeMessageDisplayMode​(WelcomeMessageDisplayMode welcomeMessageDisplayMode)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WelcomeMessageConfiguration

          public WelcomeMessageConfiguration​(WelcomeMessageDisplayMode welcomeMessageDisplayMode)

  - ### Method Detail

    - #### getWelcomeMessageDisplayMode

          public WelcomeMessageDisplayMode getWelcomeMessageDisplayMode()

    - #### setWelcomeMessageDisplayMode

          public void setWelcomeMessageDisplayMode​(WelcomeMessageDisplayMode welcomeMessageDisplayMode)